Dragons RFC vs Zebre Parma · United Rugby Championship
United Rugby Championship · 2026-27

vs

Match preview
Round 5 of the United Rugby Championship takes Zebre Parma to Dragons RFC at Rodney Parade, Newport on Saturday, 31 October 2026. Dragons RFC are 8th in the table with one win from three games; Zebre Parma sit 16th in the table with no wins from three games, having lost their last three.
Dragons RFC have won 5 of the last 9 meetings; Dragons RFC won the most recent meeting 19-18 in April 2026.
Written automatically from the match data; updated as results come in.
Head to head
5
Dragons RFC wins (56%)
0
Draws (0%)
4
Zebre Parma wins (44%)
Last 9 meetings, since October 2020
Biggest Dragons RFC win
47–7
29 Oct 2022
Biggest Zebre Parma win
26–15
27 Feb 2021
Last 5 meetings
- 24 Apr 2026 · United Rugby ChampionshipZebre Parma18Dragons RFC1924 Apr 2026Zebre Parma18–19Dragons RFCUnited Rugby Championship
- 11 Apr 2026 · Challenge CupZebre Parma32Dragons RFC3511 Apr 2026Zebre Parma32–35Dragons RFCChallenge Cup
- 28 Feb 2025 · United Rugby ChampionshipZebre Parma31Dragons RFC2128 Feb 2025Zebre Parma31–21Dragons RFCUnited Rugby Championship
- 29 Mar 2024 · United Rugby ChampionshipDragons RFC20Zebre Parma1329 Mar 2024Dragons RFC20–13Zebre ParmaUnited Rugby Championship
- 13 Jan 2024 · Challenge CupZebre Parma20Dragons RFC1713 Jan 2024Zebre Parma20–17Dragons RFCChallenge Cup